Problems compiling hostap-driver for kernel 2.6.3

Jouni Malinen jkmaline at cc.hut.fi
Sun Feb 22 15:31:53 EST 2004


On Sun, Feb 22, 2004 at 10:34:32AM -0800, Chris Evans wrote:

> I'm not sure if any released version has support for 2.6, you might 
> have to go with cvs, and even then, you might need the development 
> branch

The latest versions of both the stable branch (v0.1.3) and development
branch (v0.2.0) have support for Linux 2.6.x kernels. I'm using current
development branch version with Linux 2.6.3 and haven't seen any
problems with it.

> On Feb 22, 2004, at 9:43 AM, Julian Finn wrote:

> >Anyway: after "make install", modprobe hostap_pci brings up:
> >FATAL: Module hostap_pci not found.
> >I believe this is because kernel 2.6 doesn't call its modules .o
> >anymore, right? Well, I just find for example "hostap_pci.o" in
> >/lib/modules/2.6.3/net

Hmm.. That's odd. When I run "make install" for Host AP driver, the
modules are installed into
/lib/modules/2.6.3/kernel/drivers/net/wireless directory and they are
the correct (*.ko) versions. Is your KERNEL_PATH (by default,
/usr/src/linux) pointing to the correct kernel source tree?

Could you please verify that the hostap_pci.o file was added by "make
install" in Host AP tree by first removing that object file and running
"make install" again? What is the output of following command?

find /lib/modules/2.6.3 -name 'hostap*'

Please also send full output of running "make" and "make install" for
the Host AP driver.

-- 
Jouni Malinen                                            PGP id EFC895FA



More information about the HostAP mailing list